Package com.ocient.classloader

# Class DynamicClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
com.ocient.classloader.DynamicClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class DynamicClassLoader extends URLClassLoader

## Constructor Summary

Constructors
Constructor
Description
`DynamicClassLoader()`
`DynamicClassLoader(ClassLoader parent)`

## Method Summary

Modifier and Type
Method
Description
`static DynamicClassLoader`
`findAncestor(ClassLoader cl)`
`static Class<?>`
`forName(String name)`
`static ArrayList<Class<?>>`
`loadJar(String name)`
`static void`
`printProperties()`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicClassLoader

public DynamicClassLoader(ClassLoader parent)

### DynamicClassLoader

public DynamicClassLoader()

## Method Details

### findAncestor

public static DynamicClassLoader findAncestor(ClassLoader cl)

### loadJar

public static ArrayList<Class<?>> loadJar(String name) throws Exception

Throws:
  `Exception`

### printProperties

public static void printProperties()

### forName

public static Class<?> forName(String name) throws ClassNotFoundException, MalformedURLException

Throws:
  `ClassNotFoundException`
  `MalformedURLException`